Listar regras de platform fee de um seller
curl --request GET \
--url https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"platformFeeEnabled": false,
"sellerId": "9ba4c5bc-a0fe-46b9-8950-c6fdba1b3c67",
"rules": [
{
"id": "f18bcd0a-be5d-486e-883f-455ea501dcce",
"percentage": 1.99,
"fixedAmount": 0,
"paymentMethod": "credit",
"installment": 1,
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
},
{
"id": "9e143ffb-5de0-4298-aa3c-f5686b8f4391",
"percentage": 2.49,
"fixedAmount": 0,
"paymentMethod": "credit",
"installment": 2,
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
},
{
"id": "3a249406-b494-49f5-867c-86dd47ace95a",
"percentage": 0,
"fixedAmount": 0,
"paymentMethod": "pix",
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
}
]
}Platform Fee
Listar regras de platform fee de um seller
Retorna as regras próprias ativas do seller nesta subconta e a flag de ativação da subconta. rules vem vazia quando o seller segue a regra da subconta em todos os métodos.
Para ver as regras de todos os sellers junto com as da subconta, e o estado de cada método e parcela, use GET /v1/merchants/{merchantId}/platform-fee.
GET
/
v1
/
merchants
/
{merchantId}
/
sellers
/
{sellerId}
/
platform-fee
Listar regras de platform fee de um seller
curl --request GET \
--url https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/merchants/{merchantId}/sellers/{sellerId}/platform-fee"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"platformFeeEnabled": false,
"sellerId": "9ba4c5bc-a0fe-46b9-8950-c6fdba1b3c67",
"rules": [
{
"id": "f18bcd0a-be5d-486e-883f-455ea501dcce",
"percentage": 1.99,
"fixedAmount": 0,
"paymentMethod": "credit",
"installment": 1,
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
},
{
"id": "9e143ffb-5de0-4298-aa3c-f5686b8f4391",
"percentage": 2.49,
"fixedAmount": 0,
"paymentMethod": "credit",
"installment": 2,
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
},
{
"id": "3a249406-b494-49f5-867c-86dd47ace95a",
"percentage": 0,
"fixedAmount": 0,
"paymentMethod": "pix",
"createdAt": "2026-09-29T14:49:54.612Z",
"updatedAt": "2026-09-29T14:49:54.612Z"
}
]
}Path Parameters
Identificador do merchant
Identificador do seller
Response
Regras próprias do seller e flag de ativação da subconta
Flag de ativação da subconta. As regras do seller só cobram enquanto ela está ligada.
Example:
true
Seller dono das regras, em minúsculas
Regras próprias ativas do seller. Vazia quando o seller segue a regra da subconta.
Show child attributes
Show child attributes
Was this page helpful?